import launch
import launch_ros.actions 

def generate_launch_description():
    return launch.LaunchDescription([
        launch_ros.actions.Node(
            package='my_traj',
            executable='path_finder',
            name='path_finder'
        ),
        launch_ros.actions.Node(
            package='my_traj',
            executable='gps_api',
            name='gps'
        ),
        launch_ros.actions.Node(
            package='my_traj',
            executable='imu_api',
            name='imu'
        ),
        launch_ros.actions.Node(
            package='my_traj',
            executable='correction',
            name='correction'
        ),
    ])
